org.keycloak.broker.saml

## Class SAMLEndpoint.Binding

- java.lang.Object
- - org.keycloak.broker.saml.SAMLEndpoint.Binding

- Direct Known Subclasses:
    SAMLEndpoint.PostBinding, SAMLEndpoint.RedirectBinding
  Enclosing class:
    SAMLEndpoint

      protected abstract class SAMLEndpoint.Binding
      extends Object

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `SAMLEndpoint.Binding()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected javax.ws.rs.core.Response` | `basicChecks(String samlRequest, String samlResponse)`
    `protected org.picketlink.identity.federation.saml.v2.protocol.ResponseType` | `decryptAssertion(org.picketlink.identity.federation.saml.v2.protocol.ResponseType responseType, PrivateKey privateKey)`
    `javax.ws.rs.core.Response` | `execute(String samlRequest, String samlResponse, String relayState)`
    `protected abstract org.picketlink.identity.federation.core.saml.v2.common.SAMLDocumentHolder` | `extractRequestDocument(String samlRequest)`
    `protected abstract org.picketlink.identity.federation.core.saml.v2.common.SAMLDocumentHolder` | `extractResponseDocument(String response)`
    `protected abstract String` | `getBindingType()`
    `protected PublicKey` | `getIDPKey()`
    `protected javax.ws.rs.core.Response` | `handleLoginResponse(String samlResponse, org.picketlink.identity.federation.core.saml.v2.common.SAMLDocumentHolder holder, org.picketlink.identity.federation.saml.v2.protocol.ResponseType responseType, String relayState)`
    `protected javax.ws.rs.core.Response` | `handleLogoutResponse(org.picketlink.identity.federation.core.saml.v2.common.SAMLDocumentHolder holder, org.picketlink.identity.federation.saml.v2.protocol.StatusResponseType responseType, String relayState)`
    `protected javax.ws.rs.core.Response` | `handleSamlRequest(String samlRequest, String relayState)`
    `javax.ws.rs.core.Response` | `handleSamlResponse(String samlResponse, String relayState)`
    `protected javax.ws.rs.core.Response` | `logoutRequest(org.picketlink.identity.federation.saml.v2.protocol.LogoutRequestType request, String relayState)`
    `protected abstract void` | `verifySignature(org.picketlink.identity.federation.core.saml.v2.common.SAMLDocumentHolder documentHolder)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SAMLEndpoint.Binding

          protected SAMLEndpoint.Binding()

  - ### Method Detail

    - #### basicChecks

          protected javax.ws.rs.core.Response basicChecks(String samlRequest,
                                              String samlResponse)

    - #### getBindingType

          protected abstract String getBindingType()

    - #### verifySignature

          protected abstract void verifySignature(org.picketlink.identity.federation.core.saml.v2.common.SAMLDocumentHolder documentHolder)
                                           throws VerificationException

      Throws:
        `VerificationException`

    - #### extractRequestDocument

          protected abstract org.picketlink.identity.federation.core.saml.v2.common.SAMLDocumentHolder extractRequestDocument(String samlRequest)

    - #### extractResponseDocument

          protected abstract org.picketlink.identity.federation.core.saml.v2.common.SAMLDocumentHolder extractResponseDocument(String response)

    - #### getIDPKey

          protected PublicKey getIDPKey()

    - #### execute

          public javax.ws.rs.core.Response execute(String samlRequest,
                                          String samlResponse,
                                          String relayState)

    - #### handleSamlRequest

          protected javax.ws.rs.core.Response handleSamlRequest(String samlRequest,
                                                    String relayState)

    - #### logoutRequest

          protected javax.ws.rs.core.Response logoutRequest(org.picketlink.identity.federation.saml.v2.protocol.LogoutRequestType request,
                                                String relayState)

    - #### handleLoginResponse

          protected javax.ws.rs.core.Response handleLoginResponse(String samlResponse,
                                                      org.picketlink.identity.federation.core.saml.v2.common.SAMLDocumentHolder holder,
                                                      org.picketlink.identity.federation.saml.v2.protocol.ResponseType responseType,
                                                      String relayState)

    - #### handleSamlResponse

          public javax.ws.rs.core.Response handleSamlResponse(String samlResponse,
                                                     String relayState)

    - #### handleLogoutResponse

          protected javax.ws.rs.core.Response handleLogoutResponse(org.picketlink.identity.federation.core.saml.v2.common.SAMLDocumentHolder holder,
                                                       org.picketlink.identity.federation.saml.v2.protocol.StatusResponseType responseType,
                                                       String relayState)

    - #### decryptAssertion

          protected org.picketlink.identity.federation.saml.v2.protocol.ResponseType decryptAssertion(org.picketlink.identity.federation.saml.v2.protocol.ResponseType responseType,
                                                                                          PrivateKey privateKey)
                                                                                               throws org.picketlink.common.exceptions.ProcessingException

      Throws:
        `org.picketlink.common.exceptions.ProcessingException`

Copyright © 2015. All rights reserved.